/*
 *  scsi_unix.cpp - SCSI Manager, Unix specific stuff
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#include "sysdeps.h"
#include "scsi.h"

#define DEBUG 0
#include "debug.h"


/*
 *  Initialization
 */

void SCSIInit(void)
{
	// Reset SCSI bus
	SCSIReset();
}


/*
 *  Deinitialization
 */

void SCSIExit(void)
{
}


/*
 *  Set SCSI command to be sent by scsi_send_cmd()
 */

void scsi_set_cmd(int cmd_length, uint8 *cmd)
{
}


/*
 *  Check for presence of SCSI target
 */

bool scsi_is_target_present(int id)
{
	return false;
}


/*
 *  Set SCSI target (returns false on error)
 */

bool scsi_set_target(int id, int lun)
{
	return false;
}


/*
 *  Send SCSI command to active target (scsi_set_command() must have been called),
 *  read/write data according to S/G table (returns false on error)
 */

bool scsi_send_cmd(size_t data_length, bool reading, int sg_size, uint8 **sg_ptr, uint32 *sg_len, uint16 *stat)
{
	return false;
}
