/*
 *  adb.h - ADB emulation (mouse/keyboard)
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#ifndef ADB_H
#define ADB_H

extern void ADBOp(uint8 op, uint8 *data);

extern void ADBMouseMoved(int x, int y);
extern void ADBMouseDown(int button);
extern void ADBMouseUp(int button);

extern void ADBKeyDown(int code);
extern void ADBKeyUp(int code);

extern void ADBInterrupt(void);

extern void ADBSetRelMouseMode(bool relative);

#endif
