/*
 *  rom_patches.h - ROM patches
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#ifndef ROM_PATCHES_H
#define ROM_PATCHES_H

// ROM offset of UniversalInfo, set by PatchROM
extern uint32 UniversalInfo;

// Mac address of PutScrap() patch
extern uint32 PutScrapPatch;

extern bool PatchROM(void);
extern void InstallDrivers(uint32 pb);
extern void InstallSERD(void);
extern void PatchAfterStartup(void);

#endif
